curl --request POST \
--url 'https://api.stateset.com/api/v1/wishlists' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"name": "Two-Person Tent"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"items": [
{
"added_at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"name": "Two-Person Tent",
"updated_at": "2026-08-31T14:22:05Z"
}
Create a wishlist
Create a wishlist
POST
/
api
/
v1
/
wishlists
curl --request POST \
--url 'https://api.stateset.com/api/v1/wishlists' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"name": "Two-Person Tent"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"items": [
{
"added_at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"name": "Two-Person Tent",
"updated_at": "2026-08-31T14:22:05Z"
}
Request body
CreateWishlistRequest
string (uuid)
required
Customer who owns the wishlist.
boolean,null
Whether the wishlist is visible to others.
string,null
Human-readable name for the wishlist.
Response
WishlistResponse
string (date-time)
required
string (uuid)
required
string (uuid)
required
boolean
required
WishlistItemResponse[]
required
string
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
201 | Wishlist created |
400 | Invalid request |
curl --request POST \
--url 'https://api.stateset.com/api/v1/wishlists' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"name": "Two-Person Tent"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_public": true,
"items": [
{
"added_at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"name": "Two-Person Tent",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026